QGIS Application - Feature request #227
Print CPPFLAGS and CXXFLAGS in configuration summary
2006-08-06 04:34 PM - Mateusz Loskot -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Build/Install

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 10286
Description

This is a tiny enhancement that prints compilation flag values in the configuration summary at the end of ./configure run. Here is sample
output:

$ CXXFLAGS="-g -Wall -pedantic" ./configure

Python 1no

CPPFLAGS
CXXFLAGS :-g-Wall -pedantic

Debug 1yes

I'd be thankful for accepting this small enhancement because | use various compilation flags quite often when building QGIS.
| included patch ready to apply.

History

#1 - 2006-08-06 05:14 PM - Mateusz Loskot -

FYI, | applied this small patch to configure.in from the branch called Lib_Refactoring-branch

#2 - 2006-08-07 12:53 AM - Gavin Macaulay -
- Resolution set to fixed
- Status changed from Open to Closed

Applied to head as SVN commit:a247aa52 (SVN r5671)

Files

configure.in-cxxflags-mloskot-20060806.patch 425 Bytes 2006-08-06 Mateusz Loskot -
https://svn.qgis.org/trac/browser/branches/Lib_Refactoring-branch

